
//-----------------------------------------------------------------------------------------------------
// functions
//-----------------------------------------------------------------------------------------------------
function resizeContainer() {
	var innnerheight;
	if (parent.innerHeight) innnerheight = parent.innerHeight - 43;
	else innnerheight = parent.document.body.clientHeight - 43;
	var pageheight;
	if (document.all && window.ActiveXObject && navigator.userAgent.toLowerCase().indexOf("msie") > -1  && navigator.userAgent.toLowerCase().indexOf("opera") == -1) pageheight = document.body.scrollHeight;
	else pageheight = document.body.offsetHeight;
	if (pageheight < innnerheight) parent.document.getElementById("container").height = innnerheight;
	else parent.document.getElementById("container").height = pageheight;
/*	var pagewidth;
	if (parent.topnav.document.body.scrollWidth > parent.topnav.document.body.offsetWidth) pagewidth = parent.topnav.document.body.scrollWidth;
	else pagewidth = parent.topnav.document.body.offsetWidth;*/
}

function setTitle(title) {
	parent.document.title = title;
}

function formatNavTabs(stdnavtabs, activenavtab) {
	var elem;
	var topnav = parent.frames['topnav'];
	if (topnav && topnav.document) {
		for (var i = 0; i < stdnavtabs.length; i++) {
			if (elem = topnav.document.getElementById("start_"	+ stdnavtabs[i])) elem.className = "nav_tab_start";
			if (elem = topnav.document.getElementById("middle_"	+ stdnavtabs[i])) elem.className = "nav_tab_middle";
			if (elem = topnav.document.getElementById("link_"	+ stdnavtabs[i])) elem.className = "nav_tab_link";
			if (elem = topnav.document.getElementById("end_"	+ stdnavtabs[i])) elem.className = "nav_tab_end";
		}
		if (activenavtab != "") highlightActiveNavTab(activenavtab);
	}
}

function highlightActiveNavTab(activenavtab) {
	var errors = 0;
	var elem;
	var topnav = parent.frames['topnav'];
	if (elem = topnav.document.getElementById("start_"	+ activenavtab)) elem.className = "nav_tab_start_ul"; else errors++;
	if (elem = topnav.document.getElementById("middle_"	+ activenavtab)) elem.className = "nav_tab_middle_ul"; else errors++;
	if (elem = topnav.document.getElementById("link_"	+ activenavtab)) elem.className = "nav_tab_link_ul"; else errors++;
	if (elem = topnav.document.getElementById("end_"	+ activenavtab)) elem.className = "nav_tab_end_ul"; else errors++;
	if (errors > 0) window.setTimeout('highlightActiveNavTab("' + activenavtab + '")', 100);
}

function buildSubMenu(id, entries) {
return ;
    var out = "";
    out += '<div id="sm_' + id + '" class="submenu" onmouseover="showSubMenu(\'' + id + '\');" onmouseout="hideSubMenu(\'' + id + '\');">';
    for (var i = 0; i < entries.length; i++) {
        out += '<div class="submenu_item" onmouseover="this.className=\'submenu_item_sel\';" onmouseout="this.className=\'submenu_item\';" onclick="window.location.href=\'' + entries[i][1] + '\'">' + entries[i][0] + '</div>';
    }
    out += '</div>';
    document.write(out);
}

function showSubMenu(id) {
return ;
	var elem;
	if (elem = parent.topnav.document.getElementById("middle_"+id)) {
	    var pos = elem.offsetLeft;
	    if (elem = parent.container.document.getElementById("sm_"+id)) {
	        elem.style.left = (pos + 170) + "px";
	        elem.style.display = "block";
	    }
	}
	
}

function hideSubMenu(id) {
return ;
	var elem;
	if (elem = parent.container.document.getElementById("sm_"+id)) elem.style.display = "none";
}

//-----------------------------------------------------------------------------------------------------
// diagnostics
//-----------------------------------------------------------------------------------------------------
function sendRequestDgn(src, par, msgwait, msgfnl, auto_reload_time )
{
	if( auto_reload_time || !dgnResultPar )
	  dgnResultPar = par;

		dgnResultSrc	= src;
		dgnResultMsgWt	= msgwait;
		dgnResultMsgFnl	= msgfnl;
		dgnResultLoop	= auto_reload_time;

	triggerRequestDgn( par );

	return false;
}

function triggerRequestDgn
(
	parameters
)
{
	if( !parameters )
	  parameters = dgnResultPar;
	dgnResultHead.className	= "dgnResultHead_visible_wait";
	dgnResultHead.innerHTML	= dgnResultMsgWt;
	var ajaxDR = new Ajax.Request(dgnResultSrc,
	                              {
	                                method: "post", 
	                                parameters: parameters,
	                                onComplete: receiveResponseDgn
	                               }
	                              );
}

function receiveResponseDgn(originalRequest) {
	dgnResultHead.className	= "dgnResultHead_visible_done";
	dgnResultHead.innerHTML	= dgnResultMsgFnl;
	dgnResult.innerHTML	= originalRequest.responseText;
	dgnResult.className	= dgnResult_div_class;
	resizeContainer();
	if( dgnResultLoop && dgnResultLoop > 0 && !dgnResult_timer_id )
	  dgnResult_timer_id = window.setInterval( "triggerRequestDgn()", dgnResultLoop );
}


//-----------------------------------------------------------------------------------------------------
// URL stuff
//-----------------------------------------------------------------------------------------------------

function sx_reload_and_add_get()
{
  var additional;

  if( window.location.search == "" )
    additional = "?";
  else
    additional = "&";

  for( var i = 0; i < sx_reload_and_add_get.arguments.length; i += 2 )
  {
    if( i > 0 )
      additional = additional + "&";
    additional = additional + sx_reload_and_add_get.arguments[i] + "=" + sx_reload_and_add_get.arguments[i + 1];
  }

  window.location.search = window.location.search + additional; // triggers reload in mozilla
}
